curl --request GET \
--url https://api.instantly.ai/api/v2/subsequences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/subsequences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/subsequences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/subsequences")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/subsequences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/subsequences"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "019f985c-6368-755d-bd3c-96ce550e7d7f",
"timestamp_created": "2026-07-25T08:20:19.432Z",
"parent_campaign": "019f985c-6368-755d-bd3c-96cf472edafc",
"workspace": "019f985c-6368-755d-bd3c-96d072e874ea",
"status": 0,
"timestamp_leads_updated": "2026-07-25T08:20:19.432Z",
"name": "Follow-up sequence",
"conditions": {
"crm_status": [
1
],
"lead_activity": [
4
],
"reply_contains": "yes"
},
"subsequence_schedule": {
"schedules": [
{
"name": "My Schedule",
"timing": {
"from": "09:00",
"to": "17:00"
},
"days": {
"0": true,
"1": true,
"2": true,
"3": true,
"4": true,
"5": false,
"6": false
},
"timezone": "Etc/GMT+12"
}
],
"start_date": "2025-09-25",
"end_date": "2025-09-25"
},
"sequences": [
{
"steps": [
{
"type": "email",
"delay": 2,
"variants": [
{
"subject": "Hello {{firstName}}",
"body": "Hey {{firstName}},\n\nI hope you are doing well.",
"v_disabled": true
}
],
"delay_unit": "days",
"pre_delay": 2,
"pre_delay_unit": "days"
}
]
}
],
"daily_limit_mode": "inherit",
"daily_limit": 50,
"ignore_account_daily_limit": false
}
],
"next_starting_after": "019f985c-93ad-7471-baa8-92e747d58cc7"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}List campaign subsequence
Requires one of the following scopes: subsequences:read, subsequences:all, all:read, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of items to return
1 <= x <= 10010
The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.
"01956fbd-0eb1-72db-a565-82977a586084"
The ID of the campaign to list the subsequences of.
"123e4567-e89b-12d3-a456-426614174000"
The search query to filter the subsequences by.
"test"
Response
The list of Campaign Subsequence
The list of Campaign Subsequence
Show child attributes
Show child attributes
The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API
"019f985c-93ad-7471-baa8-92e747d58cc7"